Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
ezpCacheStorageClusterOptions Class Reference
Inheritance diagram for ezpCacheStorageClusterOptions:

## Public Member Functions
| __construct ( $options=array())
| __set ( $key, $value)
| __get ( $key)
| __isset ( $key)

## Protected Attributes
| $storageOptions

## Detailed Description

Option class for the ezpCacheStorageCluster class.

Definition at line 15 of file storage_cluster.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpCacheStorageClusterOptions::__construct | ( |  | $options = `array()` | ) |

Constructs a new options class.

It also sets the default values of the format property

Parameters

  array(string=>mixed) | $options The initial options to set.

Exceptions

  ezcBasePropertyNotFoundException | If trying to assign a property which does not exist
  ezcBaseValueException | If the value for the property is incorrect

Definition at line 35 of file storage_cluster.php.

References $options.

## Member Function Documentation

## ◆ __get()

ezpCacheStorageClusterOptions::__get | ( |  | $key | ) |

Property get access. Simply returns a given option.

Parameters

  string | $key | The name of the option to get.

Returns
  mixed The option value. @ignore

Definition at line 70 of file storage_cluster.php.

References properties.

## ◆ __isset()

ezpCacheStorageClusterOptions::__isset | ( |  | $key | ) |

Returns if a option exists.

Parameters

  string | $key | Option name to check for.

Returns
  void @ignore

Definition at line 87 of file storage_cluster.php.

References properties.

## ◆ __set()

ezpCacheStorageClusterOptions::__set | ( |  | $key,
|  |  | $value
| ) |  |

Sets an option. This method is called when an option is set.

Parameters

  string | $key | The option name.
  mixed | $value | The option value. @ignore

Definition at line 50 of file storage_cluster.php.

References properties.

## Member Data Documentation

## ◆ $storageOptions

ezpCacheStorageClusterOptions::$storageOptions
| protected

Definition at line 21 of file storage_cluster.php.

The documentation for this class was generated from the following file:

- storage_cluster.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.